QSequence (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.quantel

## Interface QSequence

- All Superinterfaces:
    Component, InterchangeObject, MediaEntity, MetadataObject, Segment, Sequence
  All Known Implementing Classes:
    SequenceImpl

      public interface QSequence
      extends Sequence

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCompositeRushID()`
    `int` | `getCompositeRushIndicator()`
    `long` | `getCompositeRushOffset()`
    `void` | `setCompositeRushID(String compositeRushID)`
    `void` | `setCompositeRushIndicator(Integer compositeRushIndicator)`
    `void` | `setCompositeRushOffset(Long compositeRushOffset)`

    - ### Methods inherited from interface tv.amwa.maj.model.Sequence

      `appendComponentObject, clearComponentObjects, clone, countComponentObjects, getComponentObjectAt, getComponentObjects, insertComponentObjectAt, prependComponentObject, removeComponentObjectAt`

    - ### Methods inherited from interface tv.amwa.maj.model.Segment

      `generateSequence, segmentOffsetToTC, segmentTCToOffset`

    - ### Methods inherited from interface tv.amwa.maj.model.Component

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getLengthPresent, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setLengthPresent`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getCompositeRushIndicator

          @Int32
          int getCompositeRushIndicator()
                                        throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setCompositeRushIndicator

          void setCompositeRushIndicator(@Int32
                                         Integer compositeRushIndicator)

    - #### getCompositeRushID

          String getCompositeRushID()
                             throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setCompositeRushID

          void setCompositeRushID(String compositeRushID)

    - #### getCompositeRushOffset

          @Int64
          long getCompositeRushOffset()
                                      throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setCompositeRushOffset

          void setCompositeRushOffset(@Int64
                                      Long compositeRushOffset)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.